function [sys,x0] = sfuzzy(t,x,u,flag)
%SFUZZY (Simulink Fuzzy) 2-input 1-output fuzzy system implementation.
if abs(flag) == 0
     sys = [0, 0, 1, 2, 0, 2]; 

elseif flag == 1
     sys = [];

elseif flag == 3
     sys = fuzzy( u(1), u(2) );
                    
else
     sys = [];
end
